# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import readme_gen_pb2 as readme__gen__pb2


class ReadmeGenStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.clone_repository = channel.unary_unary(
                '/ReadmeGen/clone_repository',
                request_serializer=readme__gen__pb2.CloneRequest.SerializeToString,
                response_deserializer=readme__gen__pb2.CloneResponse.FromString,
                )
        self.get_llm_parameters = channel.unary_unary(
                '/ReadmeGen/get_llm_parameters',
                request_serializer=readme__gen__pb2.ModelParameters.SerializeToString,
                response_deserializer=readme__gen__pb2.ModelParameters.FromString,
                )
        self.map_reduce_chain_summary = channel.unary_unary(
                '/ReadmeGen/map_reduce_chain_summary',
                request_serializer=readme__gen__pb2.PromptTemplate.SerializeToString,
                response_deserializer=readme__gen__pb2.ResultText.FromString,
                )
        self.agent_tool = channel.unary_unary(
                '/ReadmeGen/agent_tool',
                request_serializer=readme__gen__pb2.UserQuery.SerializeToString,
                response_deserializer=readme__gen__pb2.ResultTool.FromString,
                )


class ReadmeGenServicer(object):
    """Missing associated documentation comment in .proto file."""

    def clone_repository(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def get_llm_parameters(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def map_reduce_chain_summary(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def agent_tool(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_ReadmeGenServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'clone_repository': grpc.unary_unary_rpc_method_handler(
                    servicer.clone_repository,
                    request_deserializer=readme__gen__pb2.CloneRequest.FromString,
                    response_serializer=readme__gen__pb2.CloneResponse.SerializeToString,
            ),
            'get_llm_parameters': grpc.unary_unary_rpc_method_handler(
                    servicer.get_llm_parameters,
                    request_deserializer=readme__gen__pb2.ModelParameters.FromString,
                    response_serializer=readme__gen__pb2.ModelParameters.SerializeToString,
            ),
            'map_reduce_chain_summary': grpc.unary_unary_rpc_method_handler(
                    servicer.map_reduce_chain_summary,
                    request_deserializer=readme__gen__pb2.PromptTemplate.FromString,
                    response_serializer=readme__gen__pb2.ResultText.SerializeToString,
            ),
            'agent_tool': grpc.unary_unary_rpc_method_handler(
                    servicer.agent_tool,
                    request_deserializer=readme__gen__pb2.UserQuery.FromString,
                    response_serializer=readme__gen__pb2.ResultTool.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'ReadmeGen', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class ReadmeGen(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def clone_repository(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/ReadmeGen/clone_repository',
            readme__gen__pb2.CloneRequest.SerializeToString,
            readme__gen__pb2.CloneResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def get_llm_parameters(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/ReadmeGen/get_llm_parameters',
            readme__gen__pb2.ModelParameters.SerializeToString,
            readme__gen__pb2.ModelParameters.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def map_reduce_chain_summary(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/ReadmeGen/map_reduce_chain_summary',
            readme__gen__pb2.PromptTemplate.SerializeToString,
            readme__gen__pb2.ResultText.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def agent_tool(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/ReadmeGen/agent_tool',
            readme__gen__pb2.UserQuery.SerializeToString,
            readme__gen__pb2.ResultTool.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
